// config.js
export const config = {
    behavior: {
        description: 'タグの行動検知',
        settings: {
            entityDie: {
                description: 'キル・デス',
                settings: {
                    all: { enabled: true, description: '全体' },
                    kill: { enabled: true, description: 'キル t:kill' },
                    death: { enabled: true, description: 'デス t:death' },
                },
            },
            entityHurt: {
                description: 'ダメージ',
                settings: {
                    all: { enabled: true, description: '全体' },
                    attack: { enabled: true, description: 'ダメージを与えた t:attack' },
                    damaged: { enabled: true, description: 'ダメージを受けた t:damaged' },
                    cause: { enabled: true, description: 'ダメージの種類 t:X_cause_X' },
                    entity: { enabled: true, description: 'エンティティによる攻撃 t:X_entity' },
                    entityId: { enabled: true, description: 'エンティティの種類 t:X_entity_X' },
                    itemid: { enabled: true, description: '武器のアイテムID t:X_itemid_X' },
                    itemname: { enabled: true, description: '武器のアイテム名 t:X_itemname_X' },
                    projectile: { enabled: true, description: '投擲物の種類 t:X_projectile_X' },
                },
            },
            playerBreakBlock: {
                description: 'ブロック破壊',
                settings: {
                    all: { enabled: true, description: '全体' },
                    break: { enabled: true, description: 'ブロック破壊 t:break' },
                    itemid: { enabled: true, description: '使用アイテムID t:break_itemid_X' },
                    itemname: { enabled: true, description: '使用アイテム名 t:break_itemname_X' },
                    location: { enabled: true, description: '位置 t:break_location_X,Y,Z' },
                },
            },
            playerPlaceBlock: {
                description: 'ブロック設置',
                settings: {
                    all: { enabled: true, description: '全体' },
                    place: { enabled: true, description: 'ブロック設置 t:place' },
                    block: { enabled: true, description: 'ブロック t:place_block_X' },
                    location: { enabled: true, description: '座標 t:place_location_X' },
                },
            },
            itemUse: {
                description: 'アイテムの使用',
                settings: {
                    all: { enabled: true, description: '全体' },
                    use: { enabled: true, description: 'アイテム使用 t:use' },
                    itemid: { enabled: true, description: 'アイテムID t:use_itemid_X' },
                    itemname: { enabled: true, description: 'アイテム名 t:use_itemname_X' },
                },
            },
            itemCompleteUse: {
                description: 'アイテムの使用完了',
                settings: {
                    all: { enabled: true, description: '全体' },
                    complateUse: { enabled: true, description: '完全使用 t:completeUse' },
                    itemid: { enabled: true, description: 'アイテムID t:complet_use_itemid_X' },
                    itemname: { enabled: true, description: 'アイテム名 t:complet_use_itemname_X' },
                },
            },
            bowUse: {
                description: '弓・クロスボウの使用',
                settings: {
                    all: { enabled: true, description: '全体' },
                    bowShot: { enabled: true, description: '弓射撃 t:bow_shot' },
                    crossbowShot: { enabled: true, description: 'クロスボウ射撃 t:crossbow_shot' },
                    itemname: { enabled: true, description: 'アイテム名 t:X_shot_itemname_X' },
                    hitBlock: { enabled: true, description: 'ブロック命中 t:hit_block' },
                },
            },
            arrow: {
                description: '矢に付与されるタグ',
                settings: {
                    bow: { enabled: true, description: '弓の矢 t:arrow_bow' },
                    crossbow: { enabled: true, description: 'クロスボウの矢 t:arrow_crossbow' },
                    itemname: { enabled: true, description: 'アイテム名 t:arrow_itemname_X' },
                    hitBlock: { enabled: true, description: 'ブロック命中 t:arrow_hit_block' },
                },
            },
            playerBehavior: {
                description: 'プレイヤーの挙動',
                settings: {
                    all: { enabled: true, description: '全体' },
                    moving: { enabled: true, description: '移動 t:moving' },
                    sprinting: { enabled: true, description: 'ダッシュ t:sprinting' },
                    swimming: { enabled: true, description: '泳ぎ t:swimming' },
                    sneaking: { enabled: true, description: 'スニーク t:sneaking' },
                    jumping: { enabled: true, description: 'ジャンプ t:jumping' },
                    jumpingAlways: { enabled: true, description: 'ジャンプ(常時) t:jumping_always' },
                    falling: { enabled: true, description: '落下 t:falling' },
                    glinding: { enabled: true, description: 'エリトラ飛行 t:glinding' },
                    flying: { enabled: true, description: 'クリエイティブ飛行 t:flying' },
                    climbing: { enabled: true, description: 'ハシゴを登る t:climbing' },
                    guarding: { enabled: true, description: '盾を構えている t:guarding' },
                },
            },
            position: {
                description: '位置',
                settings: {
                    onGround: { enabled: true, description: '地上 t:on_ground' },
                    inWater: { enabled: true, description: '水中 t:in_water' },
                    dimension: { enabled: true, description: 'ディメンション t:dimension_X' },
                },
            },
            other: {
                description: 'その他',
                settings: {
                    initialSpawn: { enabled: true, description: '初期スポーン t:initial_spawn' },
                    respawn: { enabled: true, description: 'リスポーン t:respawn' },
                    alive: { enabled: true, description: '生存 t:alive' },
                    onFire: { enabled: true, description: '炎上 t:on_fire' },
                    sleeping: { enabled: true, description: '睡眠 t:sleeping' },
                },
            },
            hasItem: {
                description: '所持アイテム',
                settings: {
                    all: { enabled: true, description: '全体' },
                    itemid: { enabled: true, description: 'アイテムID t:X_itemid_X' },
                    itemname: { enabled: true, description: 'アイテム名 t:X_itemname_X' },
                    mainhand: { enabled: true, description: 'メインハンド t:mainhand_X' },
                    offhand: { enabled: true, description: 'オフハンド t:offhand_X' },
                    head: { enabled: true, description: '頭 t:head_X' },
                    chest: { enabled: true, description: '胸 t:chest_X' },
                    legs: { enabled: true, description: '脚 t:legs_X' },
                    feet: { enabled: true, description: '足 t:feet_X' },
                },
            },
        }

    },
    recordingScore: {
        description: 'スコアボードの行動カウント',
        settings: {
            hp: { enabled: true, description: '体力 HP' },
            jumpCount: { enabled: true, description: 'ジャンプ回数 jumpCount' },
            speed_m_s: { enabled: true, description: '速度（m/s）speed_m_s' },
            speed_km_h: { enabled: true, description: '速度（km/h）speed_km_h' },
            distance: { enabled: true, description: '移動距離 distance/distance_m' },
            x: { enabled: true, description: 'x座標 x' },
            y: { enabled: true, description: 'y座標 y' },
            z: { enabled: true, description: 'z座標 z' },
            rx: { enabled: true, description: '視点の高さ rx' },
            ry: { enabled: true, description: '視点の方角 ry' },
            killCount: { enabled: true, description: 'キル数 killCount' },
            deathCount: { enabled: true, description: 'デス数 deathCount' },
            damageDealt: { enabled: true, description: '与ダメージ damageDealt' },
            currentDamageDealt: { enabled: true, description: '現在の与ダメージ currentDamageDealt' },
            damageDealtCount: { enabled: true, description: '与ダメージ回数 damageDealtCount' },
            damageTaken: { enabled: true, description: '被ダメージ damageTaken' },
            currentDamageTaken: { enabled: true, description: '現在の被ダメージ currentDamageTaken' },
            damageTakenCount: { enabled: true, description: '被ダメージ回数 damageTakenCound' },
            heal: { enabled: true, description: '回復量 heal' },
        },
    },
};