import { Entity, ScoreboardObjective, world  } from "@minecraft/server";
/**
 * スコアボードオブジェクトを取得
 * @param {String} objectiveId 
 * @returns {ScoreboardObjective}
 */
export function getObjective(objectiveId) {
    return world.scoreboard.getObjective(objectiveId);
}

/**
 * エンティティまたはフェイクプレイヤーのスコアを取得
 * @param {Entity} target 
 * @param {String} objectiveId 
 * @returns {Number|undefined|null}
 */
export function getScore(target, objectiveId) {
    try {
        return getObjective(objectiveId).getScore(target);
    } catch {
        return undefined;
    }
}