{
	"file_path": "C:\\Users\\Owner\\AppData\\Local\\Packages\\Microsoft.MinecraftUWP_8wekyb3d8bbwe\\LocalState\\games\\com.mojang\\development_behavior_packs\\san\\scripts\\main.js",
	"file_type": "script",
	"format_version": 0,
	"file_uuid": "f6fba571_d924_40a2_950c_c17875d86a14",
	"file_version": 184,
	"cache_content": "\r\n\r\nimport { ChestFormData } from './extensions/forms.js';\r\nimport { ActionFormData, MessageFormData, ModalFormData } from \"@minecraft/server-ui\";\r\n\r\n\r\nimport { world, system, Player, Entity, ItemStack, EntityDamageCause, EquipmentSlot, ScoreboardObjective } from '@minecraft/server';\r\nimport { VECTOR3_ZERO, Vector3Utils } from './utils/coreHelpers';\r\nimport { getObjective, getScore } from './utils/scoreUtils';\r\nimport { config } from './config';\r\nimport './settings';\r\nimport './index';\r\n//import './interact';\r\n/**\r\n * アイテムの種類を返す\r\n * @param {ItemStack} itemStack \r\n * @returns {String}\r\n */\r\nfunction getReplaceTypeId(itemStack) {\r\n    return (itemStack?.typeId || 'air').replace('minecraft:', '');\r\n}\r\n\r\n/**\r\n * タグ付与\r\n * @param {Entity} entity \r\n * @param {String[]} tags \r\n */\r\nfunction addTags(entity, tags) {\r\n    if (tags.length > 0)\r\n    for (const player of world.getPlayers({ tags: ['status:debug'] })) {\r\n        player.sendMessage(`[${entity?.nameTag || entity.typeId.replace('minecraft:', '')}] ${tags.join(' | ')}`);\r\n    }\r\n    tags.forEach(tag => entity.addTag(tag));\r\n}\r\n\r\n/**\r\n * タグ削除\r\n * @param {Entity} entity \r\n * @param {String[]} tags \r\n */\r\nfunction removeTags(entity, tags) {\r\n    tags.forEach(tag => entity.removeTag(tag));\r\n}\r\n\r\n/**\r\n * タグ付与と削除をセットで行う\r\n * @param {Entity} entity \r\n * @param {String[]} tags \r\n * @param {Number} timeout \r\n */\r\nfunction addAndRemoveTags(entity, tags, timeout = 1) {\r\n    if (tags.length > 0) {\r\n        addTags(entity, tags);\r\n        system.runTimeout(() => {\r\n            if (entity.isValid()) removeTags(entity, tags);\r\n        }, timeout);\r\n    }\r\n}\r\n\r\nconst useItemMap = new Map();\r\nconst arrowShotMap = new Map();\r\nconst arrowDataMap = new Map();\r\n\r\n// ブロック破壊イベント\r\nworld.beforeEvents.playerBreakBlock.subscribe(ev => {\r\n    const pb = config.behavior.settings.playerBreakBlock.settings;\r\n    if (!pb.all.enabled) return;\r\n\r\n    const { player, block, itemStack } = ev;\r\n    const { x, y, z } = block.location;\r\n    const tags = [\r\n        pb.break.enabled && 't:break',\r\n        pb.itemid.enabled && 't:break_itemid_' + getReplaceTypeId(itemStack),\r\n        pb.itemname.enabled && itemStack?.nameTag && 't:break_itemname_' + itemStack.nameTag,\r\n        pb.location.enabled && 't:break_location_' + [x, y, z].join(','),\r\n    ].filter(Boolean);\r\n\r\n    system.run(() => {\r\n        addAndRemoveTags(player, tags);\r\n    });\r\n});\r\n\r\nworld.beforeEvents.itemUseOn.subscribe(ev => {\r\n    const { source, itemStack } = ev;\r\n    useItemMap.set(source.id, itemStack.typeId);\r\n    system.runTimeout(() => {\r\n        useItemMap.delete(source.id);\r\n    }, 1);\r\n});\r\n\r\n// ブロック設置イベント\r\nworld.afterEvents.playerPlaceBlock.subscribe(ev => {\r\n    const pp = config.behavior.settings.playerPlaceBlock.settings;\r\n    if (!pp.all.enabled) return;\r\n\r\n    const { player, block } = ev;\r\n    const { x, y, z } = block.location;\r\n    const item = useItemMap.get(player.id);\r\n    const blockId = item ? item.replace('minecraft:', '') : '';\r\n\r\n    const tags = [\r\n        pp.place.enabled && 't:place',\r\n        pp.block.enabled && 't:place_block_' + blockId,\r\n        pp.location.enabled && 't:place_location_' + [x, y, z].join(',')\r\n    ].filter(Boolean);\r\n\r\n    addAndRemoveTags(player, tags);\r\n});\r\n\r\n// 投射物がブロックに当たったイベント\r\nworld.afterEvents.projectileHitBlock.subscribe(ev => {\r\n    const bu = config.behavior.settings.bowUse.settings;\r\n    const ar = config.behavior.settings.arrow.settings;\r\n    const { projectile, source } = ev;\r\n\r\n    if (projectile.typeId === 'minecraft:arrow' && source?.isValid()) {\r\n        if (bu.hitBlock.enabled) addAndRemoveTags(source, ['t:hit_block']);\r\n        if (ar.hitBlock.enabled) addAndRemoveTags(projectile, ['t:arrow_hit_block']);\r\n\r\n        if (source.hasTag('arrow_remove_on_hit')) {\r\n            if (projectile.isValid()) projectile.kill();\r\n        }\r\n        else if (source.hasTag('arrow_remove_on_hit_2')) {\r\n            system.runTimeout(() => {\r\n                if (projectile.isValid()) projectile.kill();\r\n            }, 5)\r\n        }\r\n    }\r\n});\r\n\r\n// アイテム使用イベント\r\nworld.afterEvents.itemUse.subscribe(ev => {\r\n    const iu = config.behavior.settings.itemUse.settings;\r\n    const bu = config.behavior.settings.bowUse.settings;\r\n    const ar = config.behavior.settings.arrow.settings;\r\n\r\n    const { source, itemStack } = ev;\r\n    const tags = [\r\n        iu.all.enabled && iu.use.enabled && 't:use',\r\n        iu.all.enabled && iu.itemid.enabled && 't:use_itemid_' + getReplaceTypeId(itemStack),\r\n        iu.all.enabled && iu.itemname.enabled && itemStack.nameTag && 't:use_itemname_' + itemStack.nameTag,\r\n    ];\r\n\r\n    const arrowId = arrowShotMap.get(source.id);\r\n    if (itemStack.typeId === 'minecraft:crossbow' && arrowId) {\r\n        arrowShotMap.delete(source.id);\r\n        arrowDataMap.set(arrowId, { typeId: itemStack.typeId, nameTag: itemStack.nameTag });\r\n\r\n        tags.push(\r\n            bu.all.enabled && bu.crossbowShot.enabled && 't:crossbow_shot',\r\n            bu.all.enabled && bu.itemname.enabled && itemStack.nameTag && 't:crossbow_shot_itemname_' + itemStack.nameTag,\r\n        );\r\n\r\n        const arrow = source.dimension.getEntities({ type: 'minecraft:arrow' }).find(e => e.id === arrowId);\r\n        if (arrow) {\r\n            const arrowTags = [\r\n                ar.crossbow.enabled && 't:arrow_crossbow',\r\n                ar.itemname.enabled && itemStack.nameTag && 't:arrow_itemname_' + itemStack.nameTag,\r\n            ].filter(Boolean);\r\n\r\n            addTags(arrow, arrowTags);\r\n        }\r\n    }\r\n\r\n    addAndRemoveTags(source, tags.filter(Boolean));\r\n});\r\n\r\n\r\n// アイテム使用解除イベント\r\nworld.afterEvents.itemReleaseUse.subscribe(ev => {\r\n    const ar = config.behavior.settings.arrow.settings;\r\n    const bu = config.behavior.settings.bowUse.settings;\r\n    const { itemStack, source } = ev;\r\n    const arrowId = arrowShotMap.get(source.id);\r\n\r\n    if (itemStack.typeId === 'minecraft:bow' && arrowId) {\r\n        const arrow = source.dimension.getEntities({ type: 'minecraft:arrow' }).find(e => e.id === arrowId);\r\n        if (arrow) {\r\n            arrowShotMap.delete(source.id);\r\n            arrowDataMap.set(arrowId, { typeId: itemStack.typeId, nameTag: itemStack?.nameTag });\r\n            const tags = [\r\n                bu.all.enabled && bu.bowShot.enabled && 't:bow_shot',\r\n                bu.all.enabled && bu.itemname.enabled && itemStack?.nameTag && 't:bow_shot_itemname_' + itemStack?.nameTag,\r\n            ].filter(Boolean);\r\n            const arrowTags = [\r\n                ar.bow.enabled && 't:arrow_bow',\r\n                ar.itemname.enabled && itemStack?.nameTag && 't:arrow_itemname_' + itemStack?.nameTag,\r\n            ].filter(Boolean);\r\n\r\n            addAndRemoveTags(source, tags);\r\n            addTags(arrow, arrowTags);\r\n        }\r\n    }\r\n});\r\n\r\n// アイテム使用完了イベント\r\nworld.afterEvents.itemCompleteUse.subscribe(ev => {\r\n    const icu = config.behavior.settings.itemCompleteUse.settings;\r\n    if (!icu.all.enabled) return;\r\n\r\n    const { source, itemStack } = ev;\r\n    const tags = [\r\n        icu.complateUse.enabled && 't:complet_use',\r\n        icu.complateUse.enabled && 't:complet_use_itemid_' + getReplaceTypeId(itemStack),\r\n        icu.itemname.enabled && itemStack?.nameTag && 't:complet_use_itemname_' + itemStack?.nameTag,\r\n    ].filter(Boolean);\r\n\r\n    addAndRemoveTags(source, tags);\r\n});\r\n\r\n// プレイヤーがスポーンしたイベント\r\nworld.afterEvents.playerSpawn.subscribe(ev => {\r\n    const oh = config.behavior.settings.other.settings;\r\n    const { player, initialSpawn } = ev;\r\n    const tags = oh.initialSpawn.enabled && initialSpawn ? ['t:initial_spawn'] : oh.respawn.enabled ? ['t:respawn'] : [];\r\n    addAndRemoveTags(player, tags);\r\n});\r\n\r\n// エンティティがスポーンしたイベント\r\nworld.afterEvents.entitySpawn.subscribe(ev => {\r\n    const { entity, cause } = ev;\r\n    if (entity.typeId === 'minecraft:arrow') {\r\n        const player = entity.getComponent('projectile')?.owner;\r\n        if (player?.typeId === 'minecraft:player') {\r\n            arrowShotMap.set(player.id, entity.id);\r\n            system.runTimeout(() => {\r\n                arrowShotMap.delete(player.id);\r\n            }, 1);\r\n        }\r\n    }\r\n});\r\n\r\n// エンティティのヘルスが変更されたイベント\r\nworld.afterEvents.entityHealthChanged.subscribe(ev => {\r\n    if (!config.recordingScore.settings.heal.enabled || ev.entity.typeId !== 'minecraft:player') return;\r\n    const { entity, oldValue, newValue } = ev;\r\n    const healValue = newValue - oldValue;\r\n    const heal = getObjective('heal');\r\n\r\n    if (healValue > 0 && heal) {\r\n        heal.addScore(entity, healValue);\r\n    }\r\n});\r\n\r\n// エンティティがダメージを受けたイベント\r\nworld.afterEvents.entityHurt.subscribe(ev => {\r\n    const eh = config.behavior.settings.entityHurt.settings;\r\n    const rs = config.recordingScore.settings;\r\n\r\n    const { hurtEntity, damageSource: { damagingEntity, damagingProjectile, cause }, damage } = ev;\r\n\r\n    const damageTakenCount = getObjective('damageTakenCount');\r\n    const damageTaken = getObjective('damageTaken');\r\n    const damageDealtCount = getObjective('damageDealtCount');\r\n    const damageDealt = getObjective('damageDealt');\r\n    const currentDamageDealt = getObjective('currentDamageDealt');\r\n    const currentDamageTaken = getObjective('currentDamageTaken');\r\n\r\n    const damagedTags = [\r\n        eh.all.enabled && eh.damaged.enabled && 't:damaged',\r\n        eh.all.enabled && eh.cause.enabled && `t:d_cause_${cause}`,\r\n        eh.all.enabled && eh.entity.enabled && damagingEntity && `t:d_entity`,\r\n        eh.all.enabled && eh.entityId.enabled && damagingEntity && `t:d_entity_${damagingEntity?.typeId?.replace('minecraft:', '')}`,\r\n        eh.all.enabled && eh.projectile.enabled && damagingProjectile && `t:d_projectile_${damagingProjectile.typeId.replace('minecraft:', '')}`,\r\n    ];\r\n\r\n    const attackingTags = [\r\n        eh.all.enabled && eh.attack.enabled && 't:attack',\r\n        eh.all.enabled && eh.cause.enabled && `t:a_cause_${cause}`,\r\n        eh.all.enabled && eh.entity.enabled && `t:a_entity`,\r\n        eh.all.enabled && eh.entityId.enabled && `t:a_entity_${hurtEntity?.typeId?.replace('minecraft:', '')}`,\r\n        eh.all.enabled && eh.projectile.enabled && damagingProjectile && `t:a_projectile_${damagingProjectile.typeId.replace('minecraft:', '')}`,\r\n    ];\r\n\r\n    if (damagingEntity) {\r\n        if (cause === EntityDamageCause.entityAttack || damagingProjectile?.typeId === 'minecraft:arrow') {\r\n            let weaponItem = damagingEntity?.getComponent('equippable')?.getEquipment(EquipmentSlot.Mainhand) || { typeId: 'air' };\r\n\r\n            if (damagingProjectile?.typeId === 'minecraft:arrow') {\r\n                const arrowData = arrowDataMap.get(damagingProjectile.id);\r\n                if (arrowData) {\r\n                    weaponItem = arrowData;\r\n                }\r\n            }\r\n            if (eh.all.enabled && eh.itemid.enabled) {\r\n                damagedTags.push(`t:d_itemid_${getReplaceTypeId(weaponItem)}`);\r\n                attackingTags.push(`t:a_itemid_${getReplaceTypeId(weaponItem)}`);\r\n            }\r\n            if (eh.all.enabled && eh.itemname.enabled && weaponItem?.nameTag) {\r\n                damagedTags.push(`t:d_itemname_${weaponItem.nameTag}`);\r\n                attackingTags.push(`t:a_itemname_${weaponItem.nameTag}`);\r\n            }\r\n        }\r\n    }\r\n\r\n    addAndRemoveTags(hurtEntity, damagedTags.filter(Boolean));\r\n    if (rs.damageTakenCount.enabled && damageTakenCount) damageTakenCount.addScore(hurtEntity, 1);\r\n    if (rs.damageTaken.enabled && damageTaken) damageTaken.addScore(hurtEntity, damage);\r\n    if (rs.currentDamageTaken.enabled && currentDamageTaken) currentDamageTaken.addScore(hurtEntity, damage);\r\n\r\n    if (damagingEntity?.typeId === 'minecraft:player') {\r\n        addAndRemoveTags(damagingEntity, attackingTags.filter(Boolean));\r\n\r\n        if (rs.damageDealtCount.enabled && damageDealtCount) damageDealtCount.addScore(damagingEntity, 1);\r\n        if (rs.damageDealt.enabled && damageDealt) damageDealt.addScore(damagingEntity, damage);\r\n        if (rs.currentDamageDealt.enabled && currentDamageDealt) currentDamageDealt.addScore(damagingEntity, damage);\r\n\r\n        if (cause === EntityDamageCause.projectile && damagingEntity.hasTag('sound_hit')) {\r\n            damagingEntity.playSound('random.orb', { volume: 0.5 });\r\n        }\r\n    }\r\n\r\n    system.runTimeout(() => {\r\n        if (rs.currentDamageTaken.enabled && currentDamageTaken) currentDamageTaken.setScore(hurtEntity, 0);\r\n        if (rs.currentDamageDealt.enabled && damagingEntity && currentDamageDealt) currentDamageDealt.setScore(damagingEntity, 0);\r\n    }, 1);\r\n});\r\n\r\n\r\n// エンティティが死亡したイベント\r\nworld.afterEvents.entityDie.subscribe(ev => {\r\n    const ed = config.behavior.settings.entityDie.settings;\r\n    const rs = config.recordingScore.settings;\r\n\r\n    const { damageSource: { damagingEntity }, deadEntity } = ev;\r\n    const killCount = getObjective('killCount');\r\n    const deathCount = getObjective('deathCount');\r\n\r\n    const deathTags = [\r\n        ed.all.enabled && ed.death.enabled && 't:death',\r\n    ].filter(Boolean);\r\n    const killTags = [\r\n        ed.all.enabled && ed.kill.enabled && 't:kill',\r\n    ].filter(Boolean);\r\n\r\n    if (deadEntity?.typeId === 'minecraft:player') {\r\n        addAndRemoveTags(deadEntity, deathTags);\r\n        if (rs.deathCount.enabled && deathCount) deathCount.addScore(deadEntity.scoreboardIdentity, 1);\r\n    }\r\n    if (damagingEntity?.typeId === 'minecraft:player' && deadEntity?.typeId === 'minecraft:player') {\r\n        addAndRemoveTags(damagingEntity, killTags);\r\n        if (rs.killCount.enabled && killCount) killCount.addScore(damagingEntity.scoreboardIdentity, 1);\r\n    }\r\n});\r\n\r\nsystem.runInterval(() => {\r\n    updateStatus();\r\n});\r\n\r\nfunction updateStatus() {\r\n    const objectives = {\r\n        'jumpCount': getObjective('jumpCount'),\r\n        'speed_m_s': getObjective('speed_m_s'),\r\n        'speed_km_h': getObjective('speed_km_h'),\r\n        'distance': getObjective('distance'),\r\n        'distance_m': getObjective('distance_m'),\r\n        'hp': getObjective('HP'),\r\n        'scoreX': getObjective('x'),\r\n        'scoreY': getObjective('y'),\r\n        'scoreZ': getObjective('z'),\r\n        'scoreRx': getObjective('rx'),\r\n        'scoreRy': getObjective('ry'),\r\n    }\r\n\r\n    world.getPlayers().forEach(player => new PlayerStatus(player, objectives));\r\n}\r\n\r\nconst eventTags = [\r\n    'can_not_climb',\r\n    'stackable',\r\n    'noname',\r\n    'player_ride'\r\n];\r\n\r\nconst statusObjectives = [\r\n    ['health', 20, 0, 300, 'health'],\r\n    ['movement', 10, 0, 300, 'movement'],\r\n    ['attack', 1, 0, 300, 'attack'],\r\n    ['scale', 1, 1, 300, 'scale'],\r\n    ['knockback_resi', 0, -300, 300, 'knockback_resistance'],\r\n    ['arrow_damage', 1, 0, 300, 'status:arrow_damage'],\r\n];\r\n\r\nclass PlayerStatus {\r\n    /**\r\n     * \r\n     * @param {Player} player \r\n     * @param {Object.<string, ScoreboardObjective>} objectives \r\n     */\r\n    constructor(player, objectives) {\r\n        this.player = player;\r\n        this.objectives = objectives;\r\n        this.tags = player.getTags();\r\n        this.velocity = player.getVelocity();\r\n        this.location = player.location;\r\n        this.rotation = player.getRotation();\r\n        this.equippable = player.getComponent('equippable');\r\n        this.mainhand = this.equippable?.getEquipment(EquipmentSlot.Mainhand);\r\n        this.offhand = this.equippable?.getEquipment(EquipmentSlot.Offhand);\r\n\r\n        this.reset();\r\n        this.eventTags();\r\n        this.updateScores();\r\n        this.updateTags();\r\n        this.equipmentTags();\r\n        this.setPlayerStatus();\r\n\r\n        if (player.hasTag('status:debug')) {\r\n            player.onScreenDisplay.setActionBar(player.getTags().join(\"\\n\"));\r\n        }\r\n    }\r\n\r\n    reset() {\r\n        this.player.triggerEvent('reset');\r\n    }\r\n\r\n    eventTags() {\r\n        eventTags.forEach(tag => {\r\n            if (this.tags.includes(tag)) {\r\n                this.player.triggerEvent(tag);\r\n            }\r\n        });\r\n    }\r\n\r\n    updateScores() {\r\n        const { jumpCount, distance, distance_m, speed_m_s, speed_km_h, hp, scoreX, scoreY, scoreZ, scoreRx, scoreRy } = this.objectives;\r\n        const player = this.player;\r\n        const pb = config.behavior.settings.playerBehavior.settings;\r\n        const rs = config.recordingScore.settings;\r\n\r\n        if (rs.hp.enabled && hp) {\r\n            const health = player.getComponent('health').currentValue;\r\n            hp.setScore(player, Math.max(health, 0));\r\n        }\r\n\r\n        if (player.isJumping && !player.isOnGround && player.hasTag('t:on_ground')) {\r\n            if (pb.jumping.enabled) {\r\n                player.addTag('t:jumping');\r\n                system.runTimeout(() => { player.removeTag('t:jumping') }, 1);\r\n            }\r\n            if (rs.jumpCount.enabled && jumpCount) jumpCount.addScore(player, 1);\r\n        }\r\n\r\n        const distanceValue = Vector3Utils.distance(VECTOR3_ZERO, { x: this.velocity.x, y: 0, z: this.velocity.z });\r\n        if (rs.distance.enabled && distance) {\r\n            distance.addScore(player, Math.floor(distanceValue * 1000));\r\n            if (distance_m) distance_m.setScore(player, distance.getScore(player) / 1000);\r\n        }\r\n        if (rs.speed_m_s.enabled && speed_m_s) speed_m_s.setScore(player, Math.floor(distanceValue * 20));\r\n        if (rs.speed_km_h.enabled && speed_km_h) speed_km_h.setScore(player, Math.floor(distanceValue * 20 * 60 * 60 / 1000));\r\n\r\n        const { x, y, z } = this.location;\r\n        const { x: rx, y: ry } = this.rotation;\r\n        if (rs.x.enabled && scoreX) scoreX.setScore(player, Math.floor(x));\r\n        if (rs.y.enabled && scoreY) scoreY.setScore(player, Math.floor(y));\r\n        if (rs.z.enabled && scoreZ) scoreZ.setScore(player, Math.floor(z));\r\n\r\n        if (rs.rx.enabled && scoreRx) scoreRx.setScore(player, rx);\r\n        if (rs.ry.enabled && scoreRy) scoreRy.setScore(player, ry);\r\n    }\r\n\r\n    updateTags() {\r\n        const pb = config.behavior.settings.playerBehavior.settings;\r\n        const oh = config.behavior.settings.other.settings;\r\n        const po = config.behavior.settings.position.settings;\r\n\r\n        const conditions = [\r\n            [oh.alive.enabled && this.player.getComponent('health').currentValue > 0, 't:alive'],\r\n            [oh.sleeping.enabled && this.player.isSleeping, 't:sleeping'],\r\n            [pb.all.enabled && pb.sneaking.enabled && this.player.isSneaking, 't:sneaking'],\r\n            [pb.all.enabled && pb.jumpingAlways.enabled && this.player.isJumping, 't:jumping_always'],\r\n            [pb.all.enabled && pb.guarding.enabled && this.player.isSneaking && (this.mainhand?.typeId === 'minecraft:shield' || this.offhand?.typeId === 'minecraft:shield'), 't:guarding'],\r\n            [pb.all.enabled && pb.sprinting.enabled && this.player.isSprinting, 't:sprinting'],\r\n            [pb.all.enabled && pb.swimming.enabled && this.player.isSwimming, 't:swimming'],\r\n            [pb.all.enabled && pb.climbing.enabled && this.player.isClimbing, 't:climbing'],\r\n            [pb.all.enabled && pb.flying.enabled && this.player.isFlying, 't:flying'],\r\n            [pb.all.enabled && pb.glinding.enabled && this.player.isGliding, 't:gliding'],\r\n            [pb.all.enabled && pb.falling.enabled && this.player.isFalling, 't:falling'],\r\n            [pb.all.enabled && pb.moving.enabled && Vector3Utils.magnitude({ x: this.velocity.x, y: this.velocity.y, z: this.velocity.z }) > 0.003, 't:moving'],\r\n            [po.onGround.enabled && this.player.isOnGround, 't:on_ground'],\r\n            [po.inWater.enabled && this.player.isInWater, 't:in_water'],\r\n        ];\r\n        conditions.forEach(([condition, tag]) => {\r\n            if (condition) {\r\n                this.player.addTag(tag);\r\n            } else {\r\n                this.player.removeTag(tag);\r\n            }\r\n        });\r\n    }\r\n\r\n    equipmentTags() {\r\n        const hi = config.behavior.settings.hasItem.settings;\r\n        const di = config.behavior.settings.position.settings.dimension.enabled;\r\n        const equipmentTags = [\r\n            ['t:mainhand', hi.all.enabled && hi.mainhand.enabled && this.mainhand],\r\n            ['t:offhand', hi.all.enabled && hi.offhand.enabled && this.offhand],\r\n            ['t:head', hi.all.enabled && hi.head.enabled && this.equippable.getEquipment(EquipmentSlot.Head)],\r\n            ['t:chest', hi.all.enabled && hi.chest.enabled && this.equippable.getEquipment(EquipmentSlot.Chest)],\r\n            ['t:legs', hi.all.enabled && hi.legs.enabled && this.equippable.getEquipment(EquipmentSlot.Legs)],\r\n            ['t:feet', hi.all.enabled && hi.feet.enabled && this.equippable.getEquipment(EquipmentSlot.Feet)],\r\n        ];\r\n\r\n        equipmentTags.forEach(([tag, item]) => {\r\n            const existingTags = this.tags.filter(t => t.startsWith(tag));\r\n            existingTags.forEach(existingTag => {\r\n                this.player.removeTag(existingTag);\r\n            });\r\n\r\n            if (item) {\r\n                if (hi.itemid.enabled) this.player.addTag(`${tag}_itemid_${item.typeId.replace('minecraft:', '')}`);\r\n                if (hi.itemname.enabled && item.nameTag) this.player.addTag(`${tag}_itemname_${item.nameTag}`);\r\n            }\r\n        });\r\n\r\n        const dimensionTag = this.tags.find(t => t.startsWith('t:dimension_'));\r\n        if (dimensionTag) this.player.removeTag(dimensionTag);\r\n        if (di) {\r\n            this.player.addTag('t:dimension_' + this.player.dimension.id.replace('minecraft:', ''));\r\n        }\r\n    }\r\n\r\n    setPlayerStatus() {\r\n        statusObjectives.forEach(([objectiveId, defaultScore, min, max, event]) => {\r\n            const score = getScore(this.player, objectiveId);\r\n            if (objectiveId === 'arrow_damage') {\r\n                this.player.setProperty(event, score === undefined || !(score >= min && score <= max) ? -1 : score);\r\n            } else {\r\n                if (score === undefined || !(score >= min && score <= max)) {\r\n                    this.player.triggerEvent(event + '_reset');\r\n                } else {\r\n                    this.player.triggerEvent(event + score);\r\n                }\r\n            }\r\n        });\r\n    }\r\n}\r\n\r\n"
}