{
	"file_path": "C:\\Users\\Owner\\AppData\\Local\\Packages\\Microsoft.MinecraftUWP_8wekyb3d8bbwe\\LocalState\\games\\com.mojang\\development_behavior_packs\\san\\scripts\\settings.js",
	"file_type": "script",
	"format_version": 0,
	"file_uuid": "4dbf01b7_7bfa_4a2b_a386_68c28382c597",
	"file_version": 0,
	"cache_content": "import { system, Player, world } from \"@minecraft/server\";\r\nimport { config } from \"./config\";\r\nimport { ActionFormData, ModalFormData } from \"@minecraft/server-ui\";\r\n\r\n// 設定フォームの起動\r\nsystem.afterEvents.scriptEventReceive.subscribe(ev => {\r\n    const { id, sourceEntity } = ev;\r\n    if (sourceEntity?.typeId !== 'minecraft:player') return;\r\n\r\n    if (id === 'status:config') {\r\n        new ConfigForm(sourceEntity).selectCategory();\r\n    }\r\n});\r\n\r\nclass ConfigForm {\r\n    /**\r\n     * Configダイナミックプロパティの読み込み\r\n     */\r\n    static loadConfig() {\r\n        try {\r\n            const behaviorConfig = world.getDynamicProperty(\"config:behavior\");\r\n            const recordingScoreConfig = world.getDynamicProperty(\"config:recordingScore\");\r\n\r\n            if (behaviorConfig) {\r\n                config.behavior = JSON.parse(behaviorConfig);\r\n            }\r\n            if (recordingScoreConfig) {\r\n                config.recordingScore = JSON.parse(recordingScoreConfig);\r\n            }\r\n        } catch (error) {\r\n            console.error(\"設定の読み込み中にエラーが発生しました: \", error);\r\n        }\r\n    }\r\n\r\n    /**\r\n     * Configダイナミックプロパティへの書き込み\r\n     */\r\n    static saveConfig() {\r\n        try {\r\n            world.setDynamicProperty(\"config:behavior\", JSON.stringify(config.behavior));\r\n            world.setDynamicProperty(\"config:recordingScore\", JSON.stringify(config.recordingScore));\r\n        } catch (error) {\r\n            console.error(\"設定の保存中にエラーが発生しました: \", error);\r\n        }\r\n    }\r\n\r\n    /**\r\n     * 設定フォーム\r\n     * @param {Player} player \r\n     */\r\n    constructor(player) {\r\n        this.player = player;\r\n    }\r\n\r\n    async selectCategory() {\r\n        const form = new ActionFormData().title('スコアステータス&タグアドオン');\r\n        form.button(config.behavior.description);\r\n        form.button(config.recordingScore.description);\r\n\r\n        const { canceled, selection } = await form.show(this.player);\r\n        if (canceled) return;\r\n        if (selection === 0) {\r\n            this.selectBehavior();\r\n        } else {\r\n            this.setRecordingScore();\r\n        }\r\n    }\r\n\r\n    async selectBehavior() {\r\n        const form = new ActionFormData().title(config.behavior.description);\r\n        const settings = Object.entries(config.behavior.settings);\r\n\r\n        settings.forEach(([key, value]) => {\r\n            form.button(value.description);\r\n        });\r\n        form.button('戻る');\r\n\r\n        const { canceled, selection } = await form.show(this.player);\r\n        if (canceled) {\r\n            this.selectCategory();\r\n        } else if (selection === settings.length) {\r\n            this.selectCategory();\r\n        } else {\r\n            this.selectedBehavior = config.behavior.settings[settings[selection][0]];\r\n            this.setTags();\r\n        }\r\n    }\r\n\r\n    async setTags() {\r\n        const form = new ModalFormData().title(this.selectedBehavior.description);\r\n        const settings = Object.entries(this.selectedBehavior.settings);\r\n\r\n        settings.forEach(([key, value]) => {\r\n            form.toggle(value.description, value.enabled);\r\n        });\r\n\r\n        const { canceled, formValues } = await form.show(this.player);\r\n        if (canceled) {\r\n            this.selectBehavior();\r\n        } else {\r\n            settings.forEach(([key, value], index) => {\r\n                this.selectedBehavior.settings[key].enabled = formValues[index];\r\n            });\r\n            ConfigForm.saveConfig();\r\n            this.selectBehavior();\r\n        }\r\n    }\r\n\r\n    async setRecordingScore() {\r\n        const form = new ModalFormData().title(config.recordingScore.description);\r\n        const settings = Object.entries(config.recordingScore.settings);\r\n\r\n        settings.forEach(([key, value]) => {\r\n            form.toggle(value.description, value.enabled);\r\n        });\r\n\r\n        const { canceled, formValues } = await form.show(this.player);\r\n        if (canceled) {\r\n            this.selectCategory();\r\n        } else {\r\n            settings.forEach(([key, value], index) => {\r\n                config.recordingScore.settings[key].enabled = formValues[index];\r\n            });\r\n            ConfigForm.saveConfig();\r\n            this.selectCategory();\r\n        }\r\n    }\r\n}\r\n\r\n// Configの初期化処理\r\nconst playerSpawnCallback = ev => {\r\n    ConfigForm.loadConfig();\r\n    world.afterEvents.playerSpawn.unsubscribe(playerSpawnCallback);\r\n};\r\nworld.afterEvents.playerSpawn.subscribe(playerSpawnCallback);\r\n// reload\r\n/*\r\nif (world.getPlayers()[0]) {\r\n    ConfigForm.loadConfig();\r\n    world.afterEvents.playerSpawn.unsubscribe(playerSpawnCallback);\r\n}\r\n*/"
}